# Name

HPL_dlacpy B := A.

# Synopsis

`#include "hpl.h"`
`void` `HPL_dlacpy(` `const int` `M`, `const int` `N`, `const double *` `A`, `const int` `LDA`, `double *` `B`, `const int` `LDB` `);`

# Description

HPL_dlacpy copies an array A into an array B.

# Arguments

    M       (local input)                 const int
            On entry,  M specifies the number of rows of the arrays A and
            B. M must be at least zero.

    N       (local input)                 const int
            On entry,  N specifies  the number of columns of the arrays A
            and B. N must be at least zero.

    A       (local input)                 const double *
            On entry, A points to an array of dimension (LDA,N).

    LDA     (local input)                 const int
            On entry, LDA specifies the leading dimension of the array A.
            LDA must be at least MAX(1,M).

    B       (local output)                double *
            On entry, B points to an array of dimension (LDB,N). On exit,
            B is overwritten with A.

    LDB     (local input)                 const int
            On entry, LDB specifies the leading dimension of the array B.
            LDB must be at least MAX(1,M).

# Example

`#include "hpl.h"`

    int main(int argc, char *argv[])
    {
       double a[2*2], b[2*2];
       a[0] = 1.0; a[1] = 3.0; a[2] = 2.0; a[3] = 4.0;
       HPL_dlacpy( 2, 2, a, 2, b, 2 );
       printf("  [%f,%f]\n", b[0], b[2]);
       printf("b=[%f,%f]\n", b[1], b[3]);
       exit(0);
       return(0);
    }

# See Also

HPL_dlatcpy.